package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CBlock extends CStmt{

    private List<CLabel> CLabel;
    private List<CStmt> CStmt;
    
    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;


    public CBlock()
    {
        CLabel = new ArrayList<CLabel>();
        CStmt = new ArrayList<CStmt>();

        line = null;
        col = null;
        endline = null;
        endcol = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;
    }

    public List<CLabel> getCLabel() {
        return CLabel;
    }

    public void setCLabel(List<CLabel> labels) {
        this.CLabel = labels;
    }

    public List<CStmt> getCStmt() {
        return CStmt;
    }

    public void setCStmt(List<CStmt> statements) {
        this.CStmt = statements;
    }

    public void addCLabel(CLabel l)
    {
        CLabel.add(l);
    }

    public void addCStmt(CStmt s)
    {
        CStmt.add(s);
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    
}
